AnsweredAssumed Answered

Problems with Activiti 5.8 Engine and Eclipse Helios

Question asked by jcosano on Oct 24, 2011
Latest reply on Jan 25, 2012 by ksperner
Hello!

When I'm importing Activiti Engine 5.8 into mi Eclipse Helios I find this error (and project not compile, old versions of activiti always works fine)

24/10/11 10:19:26 CEST: Maven Builder: FULL_BUILD requireFullBuild
24/10/11 10:19:26 CEST: [WARN]
24/10/11 10:19:26 CEST: [WARN] Some problems were encountered while building the effective model for org.activiti:activiti-engine:jar:5.8
24/10/11 10:19:26 CEST: [WARN] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-compiler-plugin is missing. @ org.activiti:activiti-root:5.8, C:\workspaces\activiti58\activiti-5.8\pom.xml, line 470, column 15
24/10/11 10:19:26 CEST: [WARN] 'build.plugins.plugin.version' for org.apache.maven.plugins:maven-jar-plugin is missing. @ line 152, column 15
24/10/11 10:19:26 CEST: [WARN] The expression ${version} is deprecated. Please use ${project.version} instead.
24/10/11 10:19:26 CEST: [WARN] The expression ${version} is deprecated. Please use ${project.version} instead.
24/10/11 10:19:26 CEST: [WARN] The expression ${version} is deprecated. Please use ${project.version} instead.
24/10/11 10:19:26 CEST: [WARN] The expression ${version} is deprecated. Please use ${project.version} instead.
24/10/11 10:19:26 CEST: [WARN]
24/10/11 10:19:26 CEST: [WARN] It is highly recommended to fix these problems because they threaten the stability of your build.
24/10/11 10:19:26 CEST: [WARN]
24/10/11 10:19:26 CEST: [WARN] For this reason, future Maven versions might no longer support building such malformed projects.
24/10/11 10:19:26 CEST: [WARN]
24/10/11 10:19:26 CEST: [WARN] Using platform encoding (Cp1252 actually) to copy filtered resources, i.e. build is platform dependent!
24/10/11 10:19:26 CEST: [INFO] Copying 135 resources
24/10/11 10:19:46 CEST: [INFO] Nothing to compile - all classes are up to date
24/10/11 10:20:05 CEST: [WARN] Warning in manifest for org.activiti:activiti-engine:jar:5.8 : Did not find matching referal for com.sun*
24/10/11 10:20:05 CEST: [WARN] Warning in manifest for org.activiti:activiti-engine:jar:5.8 : Did not find matching referal for javax.persistence*
24/10/11 10:20:05 CEST: [WARN] Warning in manifest for org.activiti:activiti-engine:jar:5.8 : Did not find matching referal for junit*
24/10/11 10:20:05 CEST: [WARN] Warning in manifest for org.activiti:activiti-engine:jar:5.8 : Did not find matching referal for org.activiti.*
24/10/11 10:20:05 CEST: [WARN] Warning in manifest for org.activiti:activiti-engine:jar:5.8 : Did not find matching referal for org.activiti.osgi*
24/10/11 10:20:05 CEST: [WARN] Warning in manifest for org.activiti:activiti-engine:jar:5.8 : Did not find matching referal for org.apache.tools.ant*
24/10/11 10:20:05 CEST: [WARN] Warning in manifest for org.activiti:activiti-engine:jar:5.8 : Did not find matching referal for org.apache.xerces*
24/10/11 10:20:05 CEST: [WARN] Warning in manifest for org.activiti:activiti-engine:jar:5.8 : Did not find matching referal for org.junit*
24/10/11 10:20:05 CEST: [ERROR] Error in manifest for org.activiti:activiti-engine:jar:5.8 : The default package '.' is not permitted by the Import-Package syntax.
This can be caused by compile errors in Eclipse because Eclipse creates
valid class files regardless of compile errors.
The following package(s) import from the default package [org.activiti.engine.impl.ant, org.activiti.engine.impl.bpmn.behavior, org.activiti.engine.impl.cfg, org.activiti.engine.impl.db, org.activiti.engine.impl.interceptor, org.activiti.engine.impl.mail, org.activiti.engine.impl.persistence, org.activiti.engine.impl.rules, org.activiti.engine.impl.test, org.activiti.engine.impl.variable, org.activiti.engine.test]
24/10/11 10:20:05 CEST: [ERROR] Error(s) found in manifest configuration
24/10/11 10:20:18 CEST: Build errors for activiti-engine; org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.apache.felix:maven-bundle-plugin:2.1.0:manifest (bundle-manifest) on project activiti-engine: Error(s) found in manifest configuration
24/10/11 10:20:19 CEST: Maven Builder: AUTO_BUILD

Can you help me?

Outcomes